WoWJapanizerGarrisonToolTip = WoWJapanizerToolTip:New("WoWJapanizerGarrisonToolTip")
WoWJapanizerGarrisonToolTip.Tooltip = WoWJapanizerAssistTooltip

function WoWJapanizerGarrisonToolTip:OnEnable()

	hooksecurefunc("Garrison_LoadUI", function()

	-- GarrisonBuildingListButton_OnEnter
		-- OnEnter
		for _, button in next, GarrisonBuildingFrame.BuildingList.Buttons do
			button:HookScript("OnEnter", function(_button)
				self:OnShow(_button)
			end)

			button:HookScript("OnLeave", function(_button)
				self:OnHide()
			end)
		end

	end)
end

function WoWJapanizerGarrisonToolTip:OnShow(_button)
    local w = GameTooltip:GetWidth()
    -- self.Tooltip:SetOwner(GameTooltip, "ANCHOR_TOPRIGHT", w, 0)
    self.Tooltip:SetOwner(_button, "ANCHOR_BOTTOMLEFT", w, 0)
    -- ANCHOR_BOTTOMLEFT
	w = w - 20
    self.Tooltip:ClearLines()
    self.Tooltip:SetMinimumWidth(w)
	
	txt = "Level 1:\n パトロールミッションを解放する。パトロールミッションは通常よりも多くの経験値を獲得できる。\n\n" ..
		  "Level 2:\n フォロワーをボディガードとして雇うことが出来るようになる。\nフォロワーはDraenor地域にいる間、あなたの守護者として身を守る。\n\n" ..
		  "Level 3:\n フォロワー数の上限を5上げ種族固有のガードとバナーが利用可能となる。\n"
	
	local spell = WoWJapanizer_Garrison:Get(_button.info.buildingID)
	txt = spell
	
	if txt then
		self:AddText(_button.info.name .. "(" .. _button.info.buildingID .. ")" .. "\n\n" .. txt)
	else
		txt = "翻訳データがありません"
		self:AddText(_button.info.name .. "(" .. _button.info.buildingID .. ")" .. "\n\n" .. txt)	
	end
	
	
	self.Tooltip:SetWidth(200)
    self.Tooltip:Show()
	
	self:DebugPrint(_button)

    --self.Tooltip:SetWidth(w)
    --self.Tooltip:Show()
end

function WoWJapanizerGarrisonToolTip:OnHide()
    if self.Tooltip:IsShown() then
        self.Tooltip:Hide()

        self.Tooltip:SetWidth(0)
        self.Tooltip:SetOwner(UIParent, "ANCHOR_NONE")
    end
end

function WoWJapanizerGarrisonToolTip:DebugPrint(button)
    if WoWJapanizerDebugFrame:IsShown() then
        local editbox = WoWJapanizerDebugFrameScrollFrameText

        editbox:SetText(editbox:GetText() .. "\n" .. button.info.name .. "(" .. button.info.buildingID .. ")" .. #upgrades .. upgrades[1])
    end
end	









